import { Box, Typography } from "@mui/material";
import { FallbackProps } from "react-error-boundary";

type Props = Partial<FallbackProps>;

export const ApologyPage = ({ error }: Props) => {
  console.log(error);
  let message = "Что-то пошло не так";

  if (error.response?.data === "quiz is inactive") message = "Квиз не активирован";
  if (error.message === "No questions found") message = "Нет созданных вопросов";
  if (error.message === "Quiz is empty") message = "Квиз пуст";
  if (error.message === "Quiz already completed") message = "Вы уже прошли этот опрос";
  if (error.message === "No quiz id") message = "Отсутствует id квиза";
  if (error.message === "Quiz data is null") message = "Не были переданы параметры квиза";
  if (error.response?.data === "Invalid request data") message = "Такого квиза не существует";

  return (
    <Box
      sx={{
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        height: "100%",
        backgroundColor: "#F2F3F7",
      }}
    >
      <Typography
        sx={{
          textAlign: "center",
          color: "text.primary",
        }}
      >
        {message}
      </Typography>
    </Box>
  );
};
